Package uk.ac.starlink.topcat.func

## Class Output

- java.lang.Object
- - uk.ac.starlink.topcat.func.Output

-     public class Output
      extends java.lang.Object

  Functions for simple logging output.
  Since:
    2 Sep 2004
  Author:
    Mark Taylor (Starlink)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `print​(double num)` | Outputs a numeric value to the user log.
    `static java.lang.String` | `print​(java.lang.String str)` | Outputs a string value to the user log.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### print

          public static java.lang.String print​(java.lang.String str)

      Outputs a string value to the user log.
      Parameters:
        `str` - string value to output
      Returns:
        short report message

    - #### print

          public static java.lang.String print​(double num)

      Outputs a numeric value to the user log.
      Parameters:
        `num` - numeric value to output
      Returns:
        short report message

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.